com.icesoft.faces.facelets.component.names

## Class ParameterNames

- java.lang.Object
- - com.icesoft.faces.facelets.component.names.ParameterNames

- All Implemented Interfaces:
    java.io.Serializable

      public class ParameterNames
      extends java.lang.Object
      implements java.io.Serializable

  Class containing static names of various f:param names, so they are pulled from one place.

  Author:
    ICEsoft Technologies Inc.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CALENDAR_VIEW_TYPE` Calendar view types are used by the main tabset that changes the view from day, week, month, year.
    `static java.lang.String` | `DAY_DATE_CURSOR`
    `static java.lang.String` | `EVENT_ID` Parameter for passing an eventID into a action or actionListener.
    `static java.lang.String` | `MONTH_DATE_CURSOR`
    `static java.lang.String` | `YEAR_DATE_CURSOR` These params are used from, the month calendar views to specify the year/month/day of the selected day.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterNames()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCalendarViewType()`
    `java.lang.String` | `getDayDateCursor()`
    `java.lang.String` | `getEventId()`
    `java.lang.String` | `getMonthDateCursor()`
    `java.lang.String` | `getYearDateCursor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALENDAR_VIEW_TYPE

          public static final java.lang.String CALENDAR_VIEW_TYPE

      Calendar view types are used by the main tabset that changes the view from day, week, month, year. This context param is used to fetch form the action event which tab was clicked.
      See Also:
        Constant Field Values

    - #### YEAR_DATE_CURSOR

          public static final java.lang.String YEAR_DATE_CURSOR

      These params are used from, the month calendar views to specify the year/month/day of the selected day. These values can then be used to update the currenCalendarCursor so we are on the correct date when going to a new view.
      See Also:
        Constant Field Values

    - #### MONTH_DATE_CURSOR

          public static final java.lang.String MONTH_DATE_CURSOR

      See Also:
        Constant Field Values

    - #### DAY_DATE_CURSOR

          public static final java.lang.String DAY_DATE_CURSOR

      See Also:
        Constant Field Values

    - #### EVENT_ID

          public static final java.lang.String EVENT_ID

      Parameter for passing an eventID into a action or actionListener. General use is to setup a view for id in question.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParameterNames

          public ParameterNames()

  - ### Method Detail

    - #### getCalendarViewType

          public java.lang.String getCalendarViewType()

    - #### getYearDateCursor

          public java.lang.String getYearDateCursor()

    - #### getMonthDateCursor

          public java.lang.String getMonthDateCursor()

    - #### getDayDateCursor

          public java.lang.String getDayDateCursor()

    - #### getEventId

          public java.lang.String getEventId()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.